Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.properties
Class FilePropertySource

    java.lang.Object
      org.eclipse.ui.views.properties.ResourcePropertySource
          org.eclipse.ui.views.properties.FilePropertySource

All Implemented Interfaces:
  IPropertySource

public class FilePropertySource
extends ResourcePropertySource

The FilePropertySource gives the extra information that is shown for files

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.ResourcePropertySource
`element, errorMessage, FILE_NOT_EXIST_TEXT, FILE_NOT_FOUND, NOT_LOCAL_TEXT, propertyDescriptors, propertyDescriptorsLinkVariable, UNDEFINED_PATH_VARIABLE`

Constructor Summary
`FilePropertySource(IFile file)` Creates an property source for a file resource.

Method Summary
`IPropertyDescriptor[]` | `getPropertyDescriptors()` Returns the list of property descriptors for this property source.
`Object` | `getPropertyValue(Object key)` Returns the value of the property with the given id if it has one.

Methods inherited from class org.eclipse.ui.views.properties.ResourcePropertySource
`getEditableValue, getFile, isPropertySet, resetPropertyValue, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilePropertySource

    public FilePropertySource(IFile file)

  Creates an property source for a file resource.

Parameters:
  `file` - the file resource

Method Detail

### getPropertyDescriptors

    public IPropertyDescriptor[] getPropertyDescriptors()

  Description copied from interface: `IPropertySource`
  Returns the list of property descriptors for this property source. The `getPropertyValue` and `setPropertyValue` methods are used to read and write the actual property values by specifying the property ids from these property descriptors.

  Implementors should cache the descriptors as they will be asked for the descriptors with any edit/update. Since descriptors provide cell editors, returning the same descriptors if possible allows for efficient updating.

  Specified by:
    `getPropertyDescriptors` in interface `IPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `ResourcePropertySource`

### getPropertyValue

    public Object getPropertyValue(Object key)

  Description copied from interface: `IPropertySource`
  Returns the value of the property with the given id if it has one. Returns `null` if the property's value is `null` value or if this source does not have the specified property.

  Specified by:
    `getPropertyValue` in interface `IPropertySource`
  Overrides:
    `getPropertyValue` in class `ResourcePropertySource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.